OCS to genialny produkt i już kilka razy się nim zachwycałem – trzeba przyznać, że relacja cena do możliwości – jest bardzo satysfakcjonująca. i o ile funkcjonalność jest zadowalająca, to od strony administracyjnej/debugowania – widać, że to taki nastolatek, któremu jeszcze braqje z jednej wersji, do osiągnięcia pełnoletniości. doqmentacja w chaosie – w dziesiątkach miejsc. soft w chaosie – w dziesiątkach miejsc. doqmentacja do R2 – linqje często do nieaktualnych artów o R1. błędy w doqmentacji. nie działające rozwiązania ‚’nie wedle guide’a’ … i inne.

no a teraz do szału doprowadza mnie komunikator. zacznę od ciekawostki, która zresztą jest w oficjalnej doqmentacji i jak się okazuje – nie kłamie:

jeśli mamy polskiego [ups.. nieangielskiego] office’a to nie ma możliwości oglądania historii rozmów.

dla niewtajemniczonych – komunikator MOC integruje się z outlookiem i wiadomości zachowywane są w folderze w outlooq. a więc lepiej korzystać z ang office.

meritum

pojawia mi się piękny wykrzyknik z informacją, że mam błąd integracji z outlookiem:

communicator02

ponieważ miałem polskiego office, postanowiłem trochę pozamiatać – poniekąd z ciekawości, poniekąd z pedanterii. zainstalowałem angielską wersję.

no i tu zaczynają się w-files dotyczące office 2k7:

  • pomimo tej takiej zajebistej architektury komponentarnej i w ogóle.. office zainstalował się ‘obok’. nie chciało mi się nawet wnikać które pliki są zdublowane – ale zdaje się, że większość. okazuje się, że wersje utlimate i ent różnią się mocniej niż się spodziewałem [pomimo wybrania dokładnie tych samych komponentów do instatalcji].
  • odinstalowałem wszystkie dwa office’y, restart, instalacja nowego – eng. okazuje się, że ‘odinstalowanie’ wcale nie oznacza tego, czego bym się spodziewał – po uruchomieniu worda interfejs jest po ang, ale polski słownik skądś jest – okazuje się, że również część komunikatów.

suma-sumarum nie wiem jaką wersję wykrywa MOC – ale nadal przeglądania historii nie mam więc chyba uważa ją za polską. ale to nie koniec – powrócę do wątq…

pomimo złej wersji office [czyli polskiej] – błąd nie powinien się pojawić. po prosty wyszażona jest opcja przeglądania historii. ja natomiast ma jeszcze dodatkowy error:

office communicator01

po kliknięciu ctrl-shift-b dostaję informację, że powinienem przeinstalować outlooka. uwierzcie mi – zawziąłem się, i reinstalowałem go kilka razy w różnych scenariuszach. potem znalazłem jeszcze informację, że pojawiła się nowa wersja XOBNI gdzie można przeczytać:

We’ve also fixed multiple software incompatibilities with Xobni. Xobni no longer conflicts with the following software:

  • […]
  • Microsoft Office Communicator
  • […]

przeinstalowanie XOBNI na nową wersję niczego nie zmieniło.

w maju wychodzi wersja RC w7 – tym razem zamierzam zrobić czystą instalkę i do wersji x64 – pozbędę się durnych błędów. po prostu nie da się stwierdzić o co temu kretynowi może chodzić.

n.